Package org.apache.tapestry5.internal.services

## Class AjaxLinkComponentEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.AjaxLinkComponentEventResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<Link>`

      public class AjaxLinkComponentEventResultProcessor
      extends Object
      implements ComponentEventResultProcessor<Link>

  Handles `Link` result types by building a JSON response with key "redirectURL".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxLinkComponentEventResultProcessor​(ComponentEventResultProcessor masterProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(Link value)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxLinkComponentEventResultProcessor

          public AjaxLinkComponentEventResultProcessor​(@Ajax
                                                       ComponentEventResultProcessor masterProcessor)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(Link value)
                                  throws IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<Link>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `IOException`